Bug 247329 - Keyboard conflict message gets shown immediately after login - multiple login related
Keyboard conflict message gets shown immediately after login - multiple login...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-06 21:55 EDT by David Timms
Modified: 2009-07-05 05:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-05 05:44:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dialog screen capture png (8.84 KB, image/png)
2007-07-06 22:25 EDT, David Timms
no flags Details
gconf-editor screen capture of values that if removed solve this problem (10.72 KB, image/png)
2007-09-17 08:51 EDT, David Timms
no flags Details
gconf-editor screen capture - Normal kbd key and values when conflict not being shown. (10.63 KB, image/png)
2007-09-17 08:52 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2007-07-06 21:55:31 EDT
Description of problem:
On F7, a normal operating login process changes to showing the:
"The X system keyboard settings differ from your current GNOME keyboard settings." 
dialog immediately after GUI login.

Version-Release number of selected component (if applicable):
gnome-session-2.18.2-1.fc7
{I have no idea what detects and creates the dialog -so here are other possibly
interesting versions}
gnome-desktop-2.18.2-1.fc7
kbd-1.12-21
keyutils-libs-1.2-2.fc6
libgnomekbd-2.18.0-1.fc7
libxkbfile-1.0.4-1.fc7
system-config-keyboard-1.2.11-1.fc7
xkeyboard-config-0.8-7.fc6
xorg-x11-drv-keyboard-1.1.0-3.fc7
xorg-x11-xkb-utils-1.0.2-3.fc7

How reproducible:
At gui login, once it happens, it continues to occur at each login.

Steps to Reproduce:
1. create a testuser
2. su - testuser
3. vncserver :1
4. vncserver -kill :1
5. edit testuser/.vnc/xstartup {delete two lines to start normal session}
6. vncserver :1 {one login as testuser}
7. logout of current user
8. login as testuser {second login as testuser}.

Actual results:
Dialog stating:
"The X system keyboard settings differ from your current GNOME keyboard settings."

Expected was model "pc105", layout "us_intl" and no options, but the the
following settings were found: model "pc105", layout "us intl" and no options.

Which set would you like to use?
[ ] Do not show this warning again.
Use X settings | Keep GNOME settings.

Expected results:
Since I made no changes and the dialog was not previously being shown no dialog
should be shown.

Additional info:
Selecting Use X settings, logging out and in still shows same dialog.
Selecting Use Gnome settings, logging out and in still shows same dialog.
Selecting the do not show warning checkbox, and then either x|gnome, logging out
and in again, makes the message go away.
This suggests that neither of the {use} settings actually does anything useful -
it is the don't show warning again checkbox that stops the dialog being shown.

Creating a new user and logging in as that user, dialog is not shown. logout and
login again as original user shows the dialog.

It seems if the same user gets logged in to a gui desktop more than once, then
this occurs. Other users have noticed this:
http://thomas.apestaart.org/log/?p=409
http://thomas.apestaart.org/download/tmp/gnome-settings-daemon.png

This was present in F7 test3 and test4 {I hadn't clicked that multiple
simultaneous logins as the potential cause.}, but not FC6,FC5 (not specifically
tested, yet never occurred with similar usage patterns}.
Comment 1 David Timms 2007-07-06 22:25:13 EDT
Created attachment 158707 [details]
dialog screen capture png

Found that: gnome stores the [x] dont show this again conf in:
/home/testuser/.gconf/desktop/gnome/peripherals/keyboard/general/%gconf.xml
Renaming that file allows the conflict dialog to be shown again.
===
Happens on various machines. Each has a different attached physical keyboard:
eg hp compaq_nx6320 notebook: inbuilt 84 + 6 hotkeys
asus a7n8x desktop: 105 key + 3 hotkeys
dell poweredge 1600sc server: 104 + 4 hotkeys.
Might be related since each machine can be vnc'ing to another.
Comment 2 David Timms 2007-09-17 08:51:05 EDT
Created attachment 197361 [details]
gconf-editor screen capture of values that if removed solve this problem

I have been closing the conflict dialog at every user login; it seems to cause
no harm. The current message is PC101 US conflicts with PC105 US, on the asus
a7n8x desktop.

While logged in as root I moved the .gconf and .gconfd folders to a temp
subfolder. Relogging on as my normal user, I no longer had the conflict dialog.


I moved both folders back to my user's normal locations, and relogged on. The
conflict message returned.

I installed gconf-editor. Eventually found {search key names and values} pc101
in:
/desktop/gnome/peripherals/keyboard/kbd.sysbackup two entries, one of which
contained pc101. I unset both the values {see attach: layouts=[US},
model=pc101}, and relogged in. The conflict warning message is no longer shown.
Additionally, gconf-editor no longer shows the kbd.sysbackup key at all.
==
For a second reproducer:
1. login as another user
2. su - normal user
3. vncserver :1
4. logout and in again as normal user
= Error dialog is shown at login.

{I know for instance that if I log into the gui twice eg vnc and console, then
if I try to run firefox/mozilla in both sessions, mozilla wont start because
the profile is locked by the first session. That makes sense, well, unless
there is a way for a single app instance to be accessed by different X sessions
from the  same X users. ie. starting firefox should open a new window of the
existing firefox running under my user (from other session)}

Is it because the vncserver simulates an incorrect/default/basic KB when it
starts up ? Is this solvable ?
Comment 3 David Timms 2007-09-17 08:52:34 EDT
Created attachment 197371 [details]
gconf-editor screen capture - Normal kbd key and values when conflict not being shown.
Comment 4 Ray Strode [halfline] 2007-09-17 10:44:03 EDT
Unfortuantely, a lot of things won't work right, right now if the same user is
logged in more than once.
Comment 5 Ray Strode [halfline] 2007-09-17 10:46:25 EDT
see bug 243933 for another case where it falls over
Comment 6 Bug Zapper 2008-05-14 09:26:53 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:42:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 David Timms 2009-07-05 05:44:13 EDT
(In reply to comment #4)
> Unfortunately, a lot of things won't work right, right now if the same user is
> logged in more than once.  
I'm not sure which version exactly resolved the issue, as I had not tested since last year. Someone has been working hard, since this keyboard error is no longer given when you log in to gnome twice (eg vnc & console), with the following versions:

gnome-desktop-2.24.3-1.fc10.x86_64
gnome-session-2.24.3-1.fc10.x86_64
kbd-1.12-31.fc9.x86_64
libgnomekbd-2.24.0-1.fc10.x86_64
libxkbfile-1.0.4-5.fc9.x86_64
system-config-keyboard-1.2.15-5.fc10.noarch
xkeyboard-config-1.4-8.fc10.noarch
xorg-x11-drv-keyboard-1.3.2-1.fc10.x86_64
xorg-x11-xkb-utils-7.2-7.fc10.x86_64

As you might expect:
- having the same user start firefox in each session doesn't work (firefox says profile is in use).
- if logged into console gui when the vncserver is started, se-troubleshooter gives a warning regarding consolekit. This doesn't seem to disrupt basic desktop functionality.
- if test is logged in at the console when the vncserver is started at the same time by test, then the login sound for the vnc log in is played through the console machines speakers.

Anyway, closing since the original issue is resolved.

Note You need to log in before you can comment on or make changes to this bug.